=== debian/changelog ===
xfractint (20.4.10-5) unstable; urgency=medium

  * QA upload.

  * Added 1030-no-implicit-declaration.patch to fix build problem
    (Closes: #1069309).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 20 Apr 2024 01:16:21 +0200

xfractint (20.4.10-4) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.8.4 to 4.7.0.
  * Replaced obsolete libncurses5-dev build dependency with libncurses-dev.
  * Switched to quilt (3.0) source format and added 1000-build-fixes.patch.
  * Suppressed bogus source-is-missing lintian warning.
  * Switched to debhelper compat level 13 and moved to dh build system
    with hardening.
  * Replaced Debian menu entry with XDG desktop menu entry.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 19 Apr 2024 14:48:44 +0200

xfractint (20.4.10-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #1001579)
  * debian/rules: Add build-{arch,indep} (Closes: #999017).

 -- Marcos Talau <talau@debian.org>  Sun, 06 Nov 2022 13:59:43 -0300

xfractint (20.4.10-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 10. (Closes: #966184)
    - Use -fcommon with CFLAGS.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 16 Dec 2020 17:16:36 +0000

xfractint (20.4.10-2) unstable; urgency=low

  * replace/conflict with fractxtra. Closes: #604975

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 05 Dec 2010 22:35:54 +0200

xfractint (20.4.10-1) unstable; urgency=low

  * New upstream version
  * enable autobuilding, Closes: #410674, #587959
  * update watch file. Closes: #449889
  * remove bashism from rules, Closes: #581474

 -- Riku Voipio <riku.voipio@iki.fi>  Wed, 24 Nov 2010 21:24:54 +0200

xfractint (20.4.00-1) unstable; urgency=low
  
  * fixed menu file (Closes: #275720)
  * New upstream version

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 19 Nov 2004 22:51:52 +0000

xfractint (20.3.01-2) unstable; urgency=low

  * I am wishing this hangover will kill me Release
  * REALLY add the libx11-dev build-depency this time

 -- Riku Voipio <riku.voipio@iki.fi>  Sun,  7 Mar 2004 11:01:56 +0000

xfractint (20.3.01-1) unstable; urgency=low

  * New upstream version
  * added libx11-dev build-depencies
  * /usr/X11R6/bin -> /usr/bin

 -- root <root@kgb.cia>  Sun, 29 Feb 2004 16:09:52 +0000

xfractint (20.2.05-1) unstable; urgency=low

  * New upstream version
  * kill the evil varargs #ifdefs. closes: #217757
  * lintian full-stop warning happiness
  * added watch file

 -- Riku Voipio <riku.voipio@iki.fi>  Tue,  6 Jan 2004 14:03:17 +0200

xfractint (20.2.04-1) unstable; urgency=low

  * libncurses5-dev build-dependency. closes: #179560
  * Oops, not a native debian package.

 -- Riku Voipio <riku.voipio@iki.fi>  Sun,  2 Mar 2003 15:32:08 +0200

xfractint (20.2.04) unstable; urgency=low

  * New upstream version, closes #169121 
  * finally works well on 24bit displays, closes #80848
  

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 19 Nov 2002 22:19:21 +0200

xfractint (3.10-1) unstable; urgency=low

  * New upstream version
  * some lintian stuff cleaned away

 -- Riku Voipio <riku.voipio@iki.fi>  Tue,  8 Feb 2000 22:10:36 +0200

xfractint (3.04-6) unstable; urgency=low

  * Finally take back (sorry Martin to have to wait)
  * fixes #40873
  * other modernisations

 -- Riku Voipio <riku.voipio@iki.fi>  Thu, 23 Dec 1999 19:40:05 +0200

xfractint (3.04-5) unstable; urgency=low

  * Reformated description
  * Rewrote debian/rulels

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue,  9 Mar 1999 11:53:03 +0100

xfractint (3.04-4) unstable; urgency=low

  * Added small patch for PowerPC version, Konstantinos Margaritis
    <kmargar@cc.uoa.gr>

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 20 Jan 1999 10:53:10 +0100

xfractint (3.04-3) frozen unstable; urgency=low

  * Removed getwd() and turned it into getcwd()
  * Converted some routines to use definitions from <limits.h>
  * Finally spent a lot of time in understanding the code and fixed the
    problem wrt. long filenames and xfractint only working with names that
    are only 12 characters large.  A detailed description my work can be
    found in the source prompts2.c.  It is enclosed in #ifdef LONG_FNAMES
    which is activated in debian/rules.  (closes: Bug#3186)
  * Added source location and address of Unix porter to copyright file

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon,  2 Nov 1998 14:03:24 +0100

xfractint (3.04-2) unstable; urgency=low

  * changed maintainer to joey@debian.org (Martin Schulze)
  * Added support for Eterm
  * Up to stanard 2.4.0.0

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 25 May 1998 14:54:58 +0300

xfractint (3.04-1) unstable; urgency=low

  * New upstream version
  * Up to standard 2.3.0.0
  * debian configuration files converted to my style
  * xtfractint now uses best available of xterm/rxvt/xterm-color
  * New maintainer address

 -- Riku Voipio <riku.voipio@iki.fi>  Sat, 13 Sep 1997 15:49:02 +0300

xfractint (3.02-4) unstable; urgency=low

  * New maintainer

 -- Riku Voipio <riku.voipio@sci.fi>  Sat, 15 Mar 1997 23:37:19 +0200

xfractint (3.02-3) unstable; urgency=low

  * Converted into new packaging scheme
  
 -- Martin Schulze <joey@infodrom.north.de>  Sun, 23 Feb 1997 12:24:43 +0100
