=== debian/control ===
Source: xfractint
Section: non-free/graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Build-Depends: libncurses-dev, debhelper-compat (=13), libx11-dev
XS-Autobuild: yes
Homepage: http://www.fractint.org
Vcs-Browser: https://salsa.debian.org/debian/xfractint
Vcs-Git: https://salsa.debian.org/debian/xfractint.git
Rules-Requires-Root: no

Package: xfractint
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: fractxtra
Conflicts: fractxtra
Description: UNIX-based fractal generator
 Generate Mandelbrot, Julia, IFS, and many more fractals in 2D and 3D,
 including those you design yourself. Version 19 now supports
 arbitrary precision which allows zooming to a depth of 10^1600, as
 well as generation of random dot stereograms.
