=== debian/watch ===
version=3
http://www.fractint.org/ftp/current/linux/ xfractint-(.*).tar.gz
